


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: JpaProjectRepository</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.repository</a> ]
</div>

<h1>Coverage Summary for Class: JpaProjectRepository (com.dema.timeregistration.repository)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">JpaProjectRepository</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (4/ 4)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (14/ 14)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.repository;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.entity.Company;
<i>4</i>&nbsp;import com.dema.timeregistration.entity.Project;
<i>5</i>&nbsp;import com.dema.timeregistration.repository.jpa.AbstractJpaRepository;
<i>6</i>&nbsp;
<i>7</i>&nbsp;import javax.persistence.EntityManager;
<i>8</i>&nbsp;import java.util.Optional;
<i>9</i>&nbsp;
<i>10</i>&nbsp;public class JpaProjectRepository extends AbstractJpaRepository&lt;Project&gt; implements ProjectRepository {
<i>11</i>&nbsp;    public JpaProjectRepository(EntityManager entityManager) {
<b class="fc"><i>12</i>&nbsp;        super(entityManager, Project.class);</b>
<b class="fc"><i>13</i>&nbsp;    }</b>
<i>14</i>&nbsp;
<i>15</i>&nbsp;    @Override
<i>16</i>&nbsp;    public Optional&lt;Project&gt; findByCompanyAndName(Company company, String name) {
<b class="fc"><i>17</i>&nbsp;        return entityManager</b>
<b class="fc"><i>18</i>&nbsp;                .createQuery(&quot;SELECT p FROM Project p WHERE p.name=:name AND p.company=:company&quot;, Project.class)</b>
<b class="fc"><i>19</i>&nbsp;                .setParameter(&quot;name&quot;, name)</b>
<b class="fc"><i>20</i>&nbsp;                .setParameter(&quot;company&quot;, company)</b>
<b class="fc"><i>21</i>&nbsp;                .getResultStream().findFirst();</b>
<i>22</i>&nbsp;    }
<i>23</i>&nbsp;
<i>24</i>&nbsp;    @Override
<i>25</i>&nbsp;    public boolean existsByCompanyAndName(Company company, String name) {
<b class="fc"><i>26</i>&nbsp;        return findByCompanyAndName(company, name).isPresent();</b>
<i>27</i>&nbsp;    }
<i>28</i>&nbsp;
<i>29</i>&nbsp;    @Override
<i>30</i>&nbsp;    public boolean existsByCompanyAndNameAndIdNot(Company company, String name, int id) {
<b class="fc"><i>31</i>&nbsp;        return entityManager</b>
<b class="fc"><i>32</i>&nbsp;                .createQuery(&quot;SELECT p FROM Project p WHERE p.name=:name AND p.company=:company AND p.id &lt;&gt; :id&quot;, Project.class)</b>
<b class="fc"><i>33</i>&nbsp;                .setParameter(&quot;name&quot;, name)</b>
<b class="fc"><i>34</i>&nbsp;                .setParameter(&quot;company&quot;, company)</b>
<b class="fc"><i>35</i>&nbsp;                .setParameter(&quot;id&quot;, id)</b>
<b class="fc"><i>36</i>&nbsp;                .getResultStream().findFirst().isPresent();</b>
<i>37</i>&nbsp;    }
<i>38</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
